CO_NMT_t Struct Reference
CANopen_301 » NMT and Heartbeat

NMT consumer and Heartbeat producer object. More...

`#include <CO_NMT_Heartbeat.h>`

## Data Fields

uint8_t | operatingState
| Current NMT operating state.
uint8_t | operatingStatePrev
| Previous NMT operating state.
uint8_t | internalCommand
| NMT internal command from CO_NMT_receive() or CO_NMT_sendCommand(), processed in CO_NMT_process(). More...
uint8_t | nodeId
| From CO_NMT_init()
CO_NMT_control_t | NMTcontrol
| From CO_NMT_init()
uint32_t | HBproducerTime_us
| Producer heartbeat time, calculated from OD 0x1017.
uint32_t | HBproducerTimer
| Internal timer for HB producer.
CO_EM_t * | em
| From CO_NMT_init()
CO_CANmodule_t * | NMT_CANdevTx
| From CO_NMT_init()
CO_CANtx_t * | NMT_TXbuff
| CAN transmit buffer for NMT master message.
CO_CANmodule_t * | HB_CANdevTx
| From CO_NMT_init()
CO_CANtx_t * | HB_TXbuff
| CAN transmit buffer for heartbeat message.
void(* | pFunctSignalPre )(void *object)
| From CO_NMT_initCallbackPre() or NULL.
void * | functSignalObjectPre
| From CO_NMT_initCallbackPre() or NULL.
void(* | pFunctNMT )(CO_NMT_internalState_t state)
| From CO_NMT_initCallbackChanged() or NULL.

## Detailed Description

NMT consumer and Heartbeat producer object.

## Field Documentation

## internalCommand

uint8_t CO_NMT_t::internalCommand

NMT internal command from CO_NMT_receive() or CO_NMT_sendCommand(), processed in CO_NMT_process().

0 if no command or CO_NMT_command_t

The documentation for this struct was generated from the following file:

- 301/CO_NMT_Heartbeat.h